Package: org.codehaus.groovy.transform

## [Java] Class RecordTypeASTTransformation

- org.codehaus.groovy.transform.RecordTypeASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class RecordTypeASTTransformation
      extends AbstractASTTransformation
      implements CompilationUnitAware

  Handles generation of code for the

  RecordType:
    annotation.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ClassNode` | `MY_TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getAnnotationName()`
    `` | `public static boolean` | `recordNative(ClassNode node)` Indicates that the given classnode is a native JVM record class.
    `` | `public void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Field Detail

    - #### public static final ClassNode MY_TYPE

  - ### Method Detail

    - #### @Override public String getAnnotationName()

    - #### @Incubating public static boolean recordNative(ClassNode node)

      Indicates that the given classnode is a native JVM record class. For classes being compiled, this will only be valid after the `RecordTypeASTTransformation` transform has been invoked.

    - #### @Override public void setCompilationUnit(CompilationUnit unit)

    - #### @Override public void visit(ASTNode[] nodes, SourceUnit source)